Subject: Re: linux-next: build failure after merge of the block tree

From: Konrad Rzeszutek Wilk <[email-masked]>
Date: Wed, 1 Jun 2011 09:43:47 -0400

On Wed, Jun 01, 2011 at 08:26:29AM +0200, Jens Axboe wrote:
> On 2011-06-01 03:01, Stephen Rothwell wrote:
> > Hi Jens,
> > 
> > After merging the block tree, today's linux-next build (x86_64
> > allmodconfig) failed like this:
> > 
> > drivers/block/xen-blkback/blkback.c: In function 'xen_blkif_init':
> > drivers/block/xen-blkback/blkback.c:812:6: error: 'blkback' undeclared (first use in this function)
> > 
> > Caused by commit 2a46117c6050 ("xen/blkback: potential null dereference
> > in error handling").
> > 
> > I have used the block tree from next-20110530 for today.
> 
> Damn, sorry Stephen. Konrad, I'm rolling my tree back as not to
> introduce bisection breakage in the tree. JFYI, so rebase yours as well
> and lets try again.

Done. Sorry about that - I pushed the right tree minutes after I sent the git
pull email, but it took forever.... anyhow just pushed it and rebased on your for-linux.
Will send out a seperate email for the git pull.